incompatible with storage pool support in LXD 2.12

Bug #1692962 reported by James Page on 2017-05-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nova-lxd
Undecided
Unassigned
Ocata
High
Unassigned
Pike
High
Unassigned
nova-lxd (Ubuntu)
High
Unassigned
Zesty
High
Unassigned
Artful
High
Unassigned

Bug Description

[Impact]
nova-lxd is not functional on Ubuntu 17.04

[Test Case]
Deploy a nova-lxd based OpenStack Cloud
Attempt to boot an instance

[Regression Potential]
Minimal; the driver updates only set the profile storage pool if a new configuration option is set and only if the LXD backend supports the storage pool API.

[Original Bug Report]
The nova-lxd driver does not current configure a pool attribute for block devices; this is required when using LXD >= 2.12 which requires that block devices be attributed to an underlying storage pool.

James Page (james-page) wrote :
description: updated
Changed in nova-lxd:
status: New → Invalid
James Page (james-page) on 2017-05-24
Changed in nova-lxd (Ubuntu Artful):
status: New → Triaged
Changed in nova-lxd (Ubuntu Zesty):
status: New → Triaged
importance: Undecided → Medium
Changed in nova-lxd (Ubuntu Artful):
importance: Undecided → High
Changed in nova-lxd (Ubuntu Zesty):
importance: Medium → High
James Page (james-page) on 2017-05-24
Changed in nova-lxd (Ubuntu Artful):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova-lxd - 16.0.0~b2~git20170524.5223204-0ubuntu1

---------------
nova-lxd (16.0.0~b2~git20170524.5223204-0ubuntu1) artful; urgency=medium

  * New upstream snapshot resolving compatibility issues with LXD >= 2.12
    (LP: #1692962).
  * d/p/*: Dropped, all upstream.

 -- James Page <email address hidden> Wed, 24 May 2017 09:39:57 +0100

Changed in nova-lxd (Ubuntu Artful):
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/467292
Committed: https://git.openstack.org/cgit/openstack/nova-lxd/commit/?id=6e57a5a2d25d8986ff85b25bc1ab991fc3411ed0
Submitter: Jenkins
Branch: stable/ocata

commit 6e57a5a2d25d8986ff85b25bc1ab991fc3411ed0
Author: Chris MacNaughton <email address hidden>
Date: Wed Apr 26 17:12:54 2017 +0200

    Add storage pool support

    LXD has grown support for multiple storage pools
    defined by name and type (btrfs, zfs, lvm, etc)
    and we would like to support this in nova-lxd

    Closes-Bug: 1692962

    Change-Id: I702d1600fdf70bfd1e2402e3455dd868e25214c0
    (cherry picked from commit d883fa99eb84cf5f24b8acdb94600ac25629edc3)

James Page (james-page) on 2017-06-07
description: updated
James Page (james-page) on 2017-06-07
description: updated

Hello James, or anyone else affected,

Accepted nova-lxd into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova-lxd/15.0.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova-lxd (Ubuntu Zesty):
status: Triaged → Fix Committed
tags: added: verification-needed

Tested with version in zesty-proposed, worked for me!

tags: added: verification-done
removed: verification-needed
tags: added: verification-done-zesty
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova-lxd - 15.0.2-0ubuntu1

---------------
nova-lxd (15.0.2-0ubuntu1) zesty; urgency=medium

  * New upstream stable release for Openstack Ocata, including fix
    for LXD storage pool support (LP: #1692962).
  * d/p/*: Dropped, all upstream.

 -- James Page <email address hidden> Wed, 07 Jun 2017 16:03:37 +0100

Changed in nova-lxd (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for nova-lxd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers